pci_hp_change_slot_info
Prev | PCI Hotplug Support Library | Next

## Name

pci_hp_change_slot_info — changes the slot's information structure in the core

## Synopsis

`int __must_check pci_hp_change_slot_info (` | struct hotplug_slot * | slot,
| struct hotplug_slot_info * | info`)`;

## Arguments

`slot`

  pointer to the slot whose info has changed

`info`

  pointer to the info copy into the slot's info structure

## Description

`slot` must have been registered with the pci hotplug subsystem previously with a call to `pci_hp_register`.

Returns 0 if successful, anything else for an error.

Prev | Up | Next
pci_hp_deregister | Home | MCA Architecture